@font-face {
  font-family: "Inter Tight";
  src: url(../assets/fonts/Inter_Tight/InterTight-VariableFont_wght.ttf)
    format("truetype");
}

@font-face {
  font-family: "Niramit";
  src: url(../assets/fonts/Niramit/Niramit-Regular.ttf) format("truetype");
  font-weight: 500;
  font-style: normal;
}

@mixin display-64 {
  font-size: 64px;
  font-family: "Niramit";
  font-weight: 700;
  line-height: 100%;
  letter-spacing: -1.28px;
}

@mixin display-48 {
  font-size: 48px;
  font-family: "Niramit";
  font-weight: 700;
  line-height: 100%;
  letter-spacing: -0.96px;
}

@mixin display-32 {
  font-size: 32px;
  font-family: "Niramit";
  font-weight: 700;
  line-height: 120%;
  letter-spacing: -0.32px;
}

@mixin display-24 {
  font-size: 24px;
  font-family: "Niramit";
  font-weight: 700;
  line-height: 120%;
  letter-spacing: -0.48px;
}

@mixin display-20 {
  font-size: 20px;
  font-family: "Niramit";
  font-weight: 700;
  line-height: 140%;
  letter-spacing: -0.4px;
}

@mixin display-18-italic {
  font-size: 18px;
  font-family: "Niramit";
  font-style: italic;
  font-weight: 600;
  line-height: 140%;
  letter-spacing: -0.36px;
}

@mixin heading-32 {
  font-size: 32px;
  font-family: "Inter Tight";
  font-weight: 600;
  line-height: 120%;
}

@mixin heading-24 {
  font-size: 24px;
  font-family: "Inter Tight";
  font-weight: 600;
  line-height: 120%;
}

@mixin heading-18 {
  font-size: 18px;
  font-family: "Inter Tight";
  font-weight: 600;
  line-height: 120%;
}

@mixin heading-16 {
  font-size: 16px;
  font-family: "Inter Tight";
  font-weight: 600;
  line-height: 140%;
}

@mixin subtext-24 {
  font-size: 24px;
  font-family: "Inter Tight";
  line-height: 140%;
  letter-spacing: 0.48px;
}

@mixin subtext-20 {
  font-size: 20px;
  font-family: "Inter Tight";
  line-height: 140%;
  letter-spacing: 0.4px;
}

@mixin subtext-16 {
  font-size: 16px;
  font-family: "Inter Tight";
  line-height: 140%;
  letter-spacing: 0.32px;
}

@mixin body-14 {
  font-size: 14px;
  font-family: "Inter Tight";
  line-height: 150%;
  letter-spacing: 0.7px;
}

@mixin body-12 {
  font-size: 12px;
  font-family: "Inter Tight";
  line-height: 140%;
  letter-spacing: 0.6px;
}

@mixin cta-14 {
  font-size: 14px;
  font-family: "Inter Tight";
  font-weight: 600;
  line-height: 140%;
  letter-spacing: 0.7px;
}

@mixin cta-12 {
  font-size: 12px;
  font-family: "Inter Tight";
  font-weight: 600;
  line-height: 140%;
  letter-spacing: 0.6px;
}

@mixin tag {
  font-size: 12px;
  font-family: "Inter Tight";
  font-weight: 600;
  line-height: 16px;
  letter-spacing: 0.6px;
  text-transform: uppercase;
}
